System Requirements for Akana Platform 2019.x.x

The following table lists the minimum system requirements for running Akana Platform 2019.0.x and 2019.1.x.

Note: The Akana Platform requirements below are also the system requirements for the Akana API Platform.

For instructions for installing or upgrading, see Installing the Akana API Platform 2019.x.x or Upgrading Akana API Platform to Version 2019.x.x.

Supported Platforms: 2019.x.x

Name Requirement
Akana Platform Host

Hardware:

Single CPU, 2Ghz, 2GB RAM (minimum)

Operating Systems:

  • Windows—Windows Server 2012, 2016
  • Linux
    • CentOS Linux 7.x
    • Ubuntu 16.x, 18.x
    • Red Hat Enterprise Linux Server 7.4

    Note: In general, any Linux version that supports the Akana Platform JRE compatible versions (see JRE version below) should be operable.

Client browser for accessing Community Manager developer portal

Default Theme and Hermosa Theme:

  • Firefox version 25 and later
  • Chrome version 31 and later
  • Internet Explorer versions 11 and later

DevOps Theme:

  • Firefox version 25 and later
  • Chrome version 31 and later
  • Internet Explorer versions 11 and later

Simple Developer Theme:

  • Firefox version 32 and later
  • Chrome version 38 and later
  • Internet Explorer versions 11 and later
Database versions

Akana API Platform 2019.0.x and 2019.1.x support the following database versions:

  • MySQL 8.0 (valid in version: 2019.1.22)

    Database driver required: see Database drivers (install doc).

  • Oracle 12c, 12c Release 2. Oracle 18c (18.3) supported in version 2019.1.0 and later. Oracle 19c supported in version 2019.1.5 and later.

    Note: The Oracle database password must not start with a number or special character.

    Database driver required: see Database drivers (install doc).

  • Microsoft SQL Server 2012, 2016
  • MongoDB (Windows 64-bit MSI and Linux 64-bit TGZ):
    • 4.2 and 4.0 supported in version 2019.1.29 and later.

      Note: MongoDB support of version 4.0.x ends in April 2022.

    • 3.6. MongoDB versions up to 3.6.16 supported in version 2019.1.5 and later.

      Note: MongoDB support of version 3.6.x ended in April 2021.

    To download a MongoDB file for your platform, refer to the MongoDB Downloads website.

Note: Depending on the database type and version that you're using, there might be specific requirements, constraints, or additional steps needed. For details, refer to the Database Notes section of the installation documentation.

Memory configuration

The default maximum heap size for all Akana Containers (Java processes) is 2048 MB.

Recommended: 4096 MB

Elasticsearch

Supported versions:

  • 6.8.6 and later 6.x.x versions: Supported in Akana API Platform 2019.0.0 and later.

Recommended for the standalone Elasticsearch server: 4GB RAM, 25GB disk space

Note: Depending on the usage and the number of objects, more disk space might be needed.

See Installing and Configuring Elasticsearch.

Other

JRE version:

  • The Akana Platform is compatible with JRE 1.8 and is shipped with OpenJDK JRE version 1.8.0_212. You can also configure the platform to use an external JRE. For more information, see Configuring an External JRE.

Back to top